project-navigation
Personal tools

Author Topic: OSX installers  (Read 106103 times)

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: OSX installers
« Reply #75 on: June 20, 2010, 08:14:40 am »
using ./base for writing
- model 'models/aircraft/craft_arm_plate/plating.md2'
Error: R_ModForName: unknown fileid for models/aircraft/craft_arm_plate/plating.md2
make: *** [base/models/aircraft/craft_arm_plate/plating.mdx] Error 1
stbmac:trunk Michael$

No idea where to start looking.

this only happens when you load a model via ufomodel?
try to call ./ufo2model -mdx
big endian system i suppose?
looks like the file magic can't be read correctly - i suppose the endianess is the reason for this.

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: OSX installers
« Reply #76 on: July 04, 2010, 08:54:02 pm »
Currently uploading a ppc/i386 universal of https://ufoai.svn.sourceforge.net/svnroot/ufoai/ufoai/branches/ufoai_2.3 Revision: 30748

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: OSX installers
« Reply #77 on: July 04, 2010, 11:45:44 pm »
cool - you managed to build an universal build? i saw you updated the mac compiling page in the wiki. will try to set it up like yours, too.

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: OSX installers
« Reply #78 on: July 05, 2010, 04:08:40 am »
Universal i386/ppc build of 2.3 release
https://docs.google.com/leaf?id=0B5IJio6EJ3NBNTNhMTliNmMtZTM5Mi00NDkzLTlmY2ItNDM4YzExZjM1MDg0&sort=name&layout=list&num=50

Issues:
1. SDL is broken in macports. This was fixed, as indicated on the wiki, by patching it between the configure and compile stage. Reading the details on the SDL home page of what they have done with some linker tricks, I'm not sure that the macports version is "current". Sadly, the configure script for UfoAi doesn't like SDL as frameworks in /Library/Frameworks.

2. At least one change to the mathlib source file was made since 2.3 release. There may have been others. It seems that (and I may have used svn incorrectly) the tag is on a branch rather than on a specific version.

3. Maps are ppc compiled. They probably won't have identical checksums to the i386 compiled maps.

4. Not yet tested since packaging. The change to SDL reduces, but does not eliminate, the graphical issues on ppc.

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: OSX installers
« Reply #79 on: July 05, 2010, 04:27:16 am »
... And there's a problem.

Testing on a second machine, with none of the needed libraries in from MacPorts (oddly, with all of SDL in /Library/Frameworks), yeilds this in the console.log:

...
2010/07/04 19:20:37 Using low resolution globe textures as requested.
2010/07/04 19:20:37 SDL_image version 1.2.10
2010/07/04 19:20:48 SDL_ttf version 2.0.9 - we need at least 2.0.7
2010/07/04 19:20:49 ------- sound initialization -------
2010/07/04 19:20:49 SDL_mixer version: 1.2.11
2010/07/04 19:20:49 ... requested audio rate: 44100
2010/07/04 19:20:50 ... driver: 'coreaudio'
2010/07/04 19:20:50 ... audio rate: 44100
2010/07/04 19:20:50 ... audio channels: 2
2010/07/04 19:20:50 ... could not load ogg vorbis support
...

2010/07/04 19:21:53 M_Start: Could not load music: 'music/van_theme' (Failed loa
ding /opt/local/lib/libvorbisfile.dylib: dlopen(/opt/local/lib/libvorbisfile.dyl
ib, 2): image not found)
...

That error message (a hardcoded library reference) is received on every sound.

2010/07/04 19:22:10 ********************
2010/07/04 19:22:10 ERROR: Invalid version of the mdx file, expected 1, found 16
777216
2010/07/04 19:22:10 ********************

This one I have no clue on.

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: OSX installers
« Reply #80 on: July 05, 2010, 09:07:38 am »
the version thing was another endian bug that is fixed now

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: OSX installers
« Reply #81 on: July 06, 2010, 07:00:53 am »
Trying to figure out the sound issue.

Some debugging output yields
Code: [Select]
Installing contrib/installer/mac/UFOAI.app/Contents/Libraries/libvorbis.0.dylib...done
Installing contrib/installer/mac/UFOAI.app/Contents/Libraries/libz.1.dylib...done
Installing contrib/installer/mac/UFOAI.app/Contents/Libraries/libcurl.4.dylib...done
Installing contrib/installer/mac/UFOAI.app/Contents/Libraries/libintl.8.dylib...done
Installing contrib/installer/mac/UFOAI.app/Contents/Libraries/libSDL_image-1.2.0.dylib...done
Finalizing ufo...
Debug contrib/installer/mac/UFOAI.app/Contents/MacOS/ufo
debug libs /opt/local/lib/libvorbis.0.dylib /opt/local/lib/libogg.0.dylib /opt/local/lib/libz.1.dylib /usr/lib/libcurl.4.dylib /opt/local/lib/libjpeg.8.dylib /opt/local/lib/libpng12.0.dylib /opt/local/lib/libSDL-1.2.0.dylib /opt/local/lib/libSDL_image-1.2.0.dylib /opt/local/lib/libSDL_mixer-1.2.0.dylib /opt/local/lib/libSDL_ttf-2.0.0.dylib /opt/local/lib/libtheora.0.dylib /opt/local/lib/libintl.8.dylib
install_name_tool -change /opt/local/lib/libvorbis.0.dylib @executable_path/../Libraries/libvorbis.0.dylib contrib/installer/mac/UFOAI.app/Contents/MacOS/ufo
install_name_tool -change /opt/local/lib/libogg.0.dylib @executable_path/../Libraries/libogg.0.dylib contrib/installer/mac/UFOAI.app/Contents/MacOS/ufo

So it *IS* changing the location of libvorbis in the executable.

... which makes me wonder if maybe the macports version of SDL_mixer has a hardcoded reference (nothing else I can think of that plays with sound).

Offline ovvldc

  • Rookie
  • ***
  • Posts: 59
    • View Profile
Re: OSX installers
« Reply #82 on: July 26, 2010, 02:24:25 pm »
I have finally had some time to play with the Mac release version of UFO 2.3, and I am pretty disappointed.

At some point all the text disappeared and when I tried to go to Battlescape UFO froze. And because it was in front and captured all the input, it took my whole mac with it (I had a pointer but nowhere responsive to click).

Also, it was a debug build. I don't want to be nasty, but putting a debug build as a release installer is not my idea of polishing.

I hope I can get a build somewhere that has these things fixed, and preferably some sound as well. It would be nice to be able to actually play the game.

Best wishes,
 Oscar

Offline richcop

  • Cannon Fodder
  • **
  • Posts: 3
    • View Profile
Re: OSX installers
« Reply #83 on: September 15, 2010, 02:04:45 am »
Hello. I have an iMac G5 10.4. I have been succesfully playing 2.2 but I ran out of things to do. I played an entire year without seeing a single ufo or terror site. So I downloaded 2.3. However my 2.2 was universal and 2.3 is i386. For some reason I am not able to play 2.3. It goes to the loading dock and instantly closes. I have also tried downloading the three files on the top of this topic and the same thing happens. Am I missing something? is there a download to convert i386 to universal or do I need an installer? I am not very familiar with my mac yet.

Offline frogman

  • Cannon Fodder
  • **
  • Posts: 1
    • View Profile
Re: OSX installers
« Reply #84 on: October 04, 2010, 09:46:07 pm »
I have an i-mac running 10.6  The program runs but I have no sound, no text comes up in the pedia, and the world map always looks like night except at night the lights are a bit brighter. Any hope for some fixes?

Offline keybounce

  • Sergeant
  • *****
  • Posts: 330
    • View Profile
Re: OSX installers
« Reply #85 on: October 08, 2010, 02:22:33 pm »
Sound is fixed in the next release.

For your dark world map: Do you see a proper battlescape? (fighting battles). You can switch to the flat (2d) world map, and it should look proper.

No text in the pedia: Do you have english (or some other language) explicitly set?

Offline ideluvian

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
Re: OSX installers
« Reply #86 on: November 26, 2010, 01:53:04 pm »
Hi,

I was wondering if we could get an update on when the 3.1 update might be available for download for Mac (or where I can download it if I'm just missing something obvious)?  I've been checking in 2-3 times a week here on the forums and its killing me to read about all the fixes that have been announced in the forums, but not seeing where I can get ahold of them!

You all have definitely captured my imagination with this game and I can't wait to have sound and a ufopaedia that has content. :-)

Offline Naftali

  • Cannon Fodder
  • **
  • Posts: 6
    • View Profile
Re: OSX installers
« Reply #87 on: December 01, 2010, 08:30:02 pm »
The OSX build for 2.3.1 is up now, but it doesn't work on my computer.  I suspect SDL images but I don't know what to make of the error message I get when I run the binary from the command line.  Help anybody?

Code: [Select]
dyld: Library not loaded: /opt/local/Library/Frameworks/SDL_image.framework/Versions/A/SDL_image
  Referenced from: /Applications/Games/./UFOAI.app/Contents/MacOS/ufo
  Reason: image not found
Trace/BPT trap

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: OSX installers
« Reply #88 on: December 01, 2010, 09:32:12 pm »
it looks like the sdl_image framework is not part of the dmg... i didn't notice this because i have the sdl_image framework installed here. it looks like we really need someone who works with a mac and knows this kind of stuff... i will try to fix that

Offline Naftali

  • Cannon Fodder
  • **
  • Posts: 6
    • View Profile
Re: OSX installers
« Reply #89 on: December 03, 2010, 01:48:43 pm »
Thanks.  I really like UFOAI, I just have yet to figure out how to compile a program for myself which puts me entirely at the mercy of these binaries.ß